Bug 739342 - redraw problems with gdm
Summary: redraw problems with gdm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-17 21:36 UTC by Mads Kiilerich
Modified: 2013-02-13 20:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 20:55:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 657869 None None None Never

Description Mads Kiilerich 2011-09-17 21:36:46 UTC
User switching worked fine for me, both to another user and back again. But when really logging out of the "other" account I didn't get the gdm prompt I expected. Instead I immediately saw a part of the screen that should be hidden by the gdm prompt, and instead of showing the gdm prompt a big part of the screen was black. With two displays with different size it seemed like the size of one display was used for drawing on the other. Blindly choosing the user and entering worked and I got logged back in correctly.

Later I saw similar behaviour with the screen saver password prompt.

I saw that behaviour discussed on IRC the other day but found no Fedora issue to track it - here it is.

It is discussed and solved upstream at https://bugzilla.gnome.org/show_bug.cgi?id=657869 . I built a mutter with the upstream patch and I can confirm that it solves the user switching issue too.

Comment 1 Mads Kiilerich 2011-09-17 21:40:00 UTC
That is f16 + updatest-testing:

mutter-3.1.91.1-1.fc16.x86_64
cogl-1.7.8-1.fc16.x86_64
gdm-3.1.90-1.fc16.x86_64
xorg-x11-drv-intel-2.16.0-2.fc16.x86_64

I propose this as a beta blocker - mostly to get some attention as NTH.

Comment 2 Adam Williamson 2011-09-17 23:28:39 UTC
if you want it to be nth, propose it as NTH. I don't think the impact is severe enough to poke beta any more, though. remember, for desktop stuff, we only care about things people are likely to hit on the live image; for post-install, an update is a perfectly good fix.

Comment 3 Adam Williamson 2011-09-17 23:28:54 UTC
i vote -1 blocker, btw.

Comment 4 Mads Kiilerich 2011-09-17 23:57:14 UTC
Ok, that makes sense.

Comment 5 Mads Kiilerich 2011-09-20 21:08:18 UTC
I see some strange issues with my patched mutter too. It is apparently not enough to make user switching work.

Could we get a fixed mutter in updates-testing soon so I can do some testing on an "official" setup?

Comment 6 Fedora End Of Life 2013-01-16 16:51:36 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Fedora End Of Life 2013-02-13 20:55:09 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.